пересборка php без Suhosin patch для Debian / Ubuntu

Posted in Новости on апреля 8, 2010 by admin

Я хочу свой php без suhosin с блекджеком и шл*хами (с) Electron =)

Итак сегодня будем собирать свой php без Suhosin Patch (опять же если понять основы, то можно и другие патчи исключить)

Итак приступим.

cd /root

mkdir newphp

cd newphp

apt-get source php5

cd php*

apt-get build-dep php5

rm debian/patches/suhosin.patch   (тут понятно, что убираем нужный патч из папки)

nano debian/patches/series  (тут убираем нужный патч из списка, в данном случае строку «suhosin.patch»

apt-get install devscripts

debchange -v 5.2.6-Debian5~nosuhosin  (можно написать все что угодно в пределах разумного)

debuild   (тут будет идти пересборка в которой будет много варнов(не волнуемся за них) , в результате чего будут созданы свои модули и сам php) (идет около получаса на сильной машине)

далее после окончания наблюдаем ха своей работой :

ls -l ../*.deb

и ставим в систему :

dpkg -i ../*.deb

Вот и все! Проверил на совместимость с eaccleretor и Zend optimizer, все пашет =)

Tags: , , , ,

даунгрейд php5 до php4 в debian lenny

Posted in Новости on марта 4, 2010 by admin

итак у нас ленни.

1 делаем даунгрейд репо (правим source.list c «lenny» до «etch»)
2 делаем aptitude update
3 делаем aptitude remove php5 php5-cli
4 делаем aptitude install php4 php4-cli
5 php -v
6 если после пункта 4 у Вас возникли ошибки :

PHP Warning: mime_magic: type search/400 \\input text/x-tex invalid in Unknown on line 0
PHP Warning: mime_magic: type search/400 \\section text/x-tex invalid in Unknown on line 0
PHP Warning: mime_magic: type search/400 \\setlength text/x-tex invalid in Unknown on line 0
PHP Warning: mime_magic: type search/400 \\documentstyle text/x-tex invalid in Unknown on line 0
PHP Warning: mime_magic: type search/400 \\chapter text/x-tex invalid in Unknown on line 0
PHP Warning: mime_magic: type search/400 \\documentclass text/x-tex invalid in Unknown on line 0
PHP Warning: mime_magic: type regex [Cc]onstant[[:space:]]+[Ss]tory text/x-inform invalid in Unknown on line 0

то делаем nano /usr/share/files/magic.mime

там сначала ищем по строке «TeX documents, from Daniel Quinlan» и комментируем все что ниже (что выдает ошибки) а потом ищем по строке «Reuben Thomas <rrt@sc3d.org>» и комментируем еще строку которая варнится в «php -v»

и вуаля php -v :

PHP 4.4.4-8+etch6 (cli) (built: May 16 2008 15:15:13)
Copyright (c) 1997-2006 The PHP Group
Zend Engine v1.3.0, Copyright (c) 1998-2004 Zend Technologies

Tags: ,

проблемный апдейт php до 5.2.x CentOS 5

Posted in Новости on марта 4, 2010 by admin

появилась потребность поставить а точнее обновить php c 5.1.6 до 5.2.6. Использовал хороший ман по апу :

Создаем файл:
vi /etc/yum.repos.d/CentOS-Testing.repo

Со следующим контентом:

# CentOS-Testing:
# !!!! CAUTION !!!!
# This repository is a proving grounds for packages on their way to CentOSPlus and CentOS Extras.
# They may or may not replace core CentOS packages, and are not guaranteed to function properly.
# These packages build and install, but are waiting for feedback from testers as to
# functionality and stability. Packages in this repository will come and go during the
# development period, so it should not be left enabled or used on production systems without due
# consideration.

[c5-testing]
name=CentOS-5 Testing
baseurl=http://dev.centos.org/centos/$releasever/testing/$basearch/
enabled=0
gpgcheck=1
gpgkey=http://dev.centos.org/centos/RPM-GPG-KEY-CentOS-testing
includepkgs=php*

Обновляемся:

yum —enablerepo=c5-testing update php*

Источник : http://phpsuxx.blogspot.com/2009/10/php-52-centos5.html

но вот в чем незадача. При апдейте php обновлялся до 5.2.9 с которой работать невозможно (постоянные грабли, хотя может это только у меня=)) упорно не хотел ставиться 5.2.6. Сделав много откатов до старых версий и еще раз уже с официального мана http://wiki.centos.org/HowTos/PHP_5.1_To_5.2 опять получил 5.2.9. После этого окончательно разочаровавшись слив все необходимое отсюда http://dev.centos.org/centos/5/testing/x86_64/ в /root/ решил попробовать еще раз обновить и вуаля стоит 5.2.6. Странно конечно но работает)

PS До сих пор не могу найти рабочий php-mcrypt-5.2.6-2 (php 5.2.6-2 ставится при апдейте), а в хранилище его нет.

Tags: ,

eAccelerator и phpmyadmin

Posted in Новости on марта 4, 2010 by admin

Случалось поставить акселератор и после успешной установки phpmyadmin показывал белую страницу? Не беда!! Лекарство есть. Просто надо добавить в httpd.conf эти строки :
<Directory /usr/share/phpmyadmin> #Указать верный путь до phpmyadmin
php_admin_value eaccelerator.enable 0
</Directory>

Tags: , ,